Module java.base
Package java.util.concurrent

# Class BrokenBarrierException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.util.concurrent.BrokenBarrierException

All Implemented Interfaces:
  `Serializable`

public class BrokenBarrierException extends Exception
Exception thrown when a thread tries to wait upon a barrier that is in a broken state, or which enters the broken state while the thread is waiting.

Since:
  1.5
See Also:
  `CyclicBarrier`, Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BrokenBarrierException()`
Constructs a `BrokenBarrierException` with no specified detail message.
`BrokenBarrierException​(String message)`
Constructs a `BrokenBarrierException` with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BrokenBarrierException

public BrokenBarrierException()
Constructs a `BrokenBarrierException` with no specified detail message.

### BrokenBarrierException

public BrokenBarrierException​(String message)
Constructs a `BrokenBarrierException` with the specified detail message.

Parameters:
  `message` - the detail message